package cn.minbb.evaluationsystemserver.entity.repository;

import cn.minbb.evaluationsystemserver.entity.Version;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface VersionRepository extends JpaRepository<Version, Long> {

    @Query(value = "select new Version(v.fileName) from Version v where v.versionCode = ?1")
    Version findVersionByVersionCode(Integer versionCode);

    Version findTopByOrderByVersionCodeDesc();
}
