package cn.minbb.evaluationsystemserver.service.impl;

import cn.minbb.evaluationsystemserver.entity.Answer;
import cn.minbb.evaluationsystemserver.entity.repository.AnswerRepository;
import cn.minbb.evaluationsystemserver.service.AnswerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AnswerServiceImpl implements AnswerService {

    private AnswerRepository answerRepository;

    @Autowired
    public AnswerServiceImpl(AnswerRepository answerRepository) {
        this.answerRepository = answerRepository;
    }

    @Override
    public Answer findAnswerByE_Id(Long e_id) {
        return answerRepository.getOne(e_id);
    }
}
