package cn.minbb.evaluationsystemserver.service.impl;

import cn.minbb.evaluationsystemserver.entity.Feedback;
import cn.minbb.evaluationsystemserver.entity.repository.FeedbackRepository;
import cn.minbb.evaluationsystemserver.service.FeedbackService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FeedbackServiceImpl implements FeedbackService {

    private FeedbackRepository feedbackRepository;

    @Autowired
    public FeedbackServiceImpl(FeedbackRepository feedbackRepository) {
        this.feedbackRepository = feedbackRepository;
    }

    @Override
    public Feedback save(Feedback feedback) {
        return feedbackRepository.save(feedback);
    }
}
