package cn.minbb.evaluationsystemserver.stroage;

import org.springframework.core.io.Resource;
import org.springframework.web.multipart.MultipartFile;

import java.nio.file.Path;
import java.util.stream.Stream;

public interface StorageService {

    void init();

    void store(MultipartFile file);

    void delete(String fileName);

    void deleteAll();

    Path load(String fileName);

    Stream<Path> loadAll();

    Resource loadAsResource(String fileName);

    void storeAvatar(MultipartFile file, String filename);

    Resource loadAvatarsAsResource(String filename);
}