package cn.minbb.evaluationsystemserver.entity.repository;

import cn.minbb.evaluationsystemserver.entity.Classification;
import cn.minbb.evaluationsystemserver.entity.Question;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface QuestionRepository extends JpaRepository<Question, Long> {
    List<Question> findByEnabledTrueAndClassificationList(List<Classification> classificationList);
}
